al_set_display_menu(3)

NAME

al_set_display_menu - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_native_dialog.h>
    bool al_set_display_menu(ALLEGRO_DISPLAY *display, ALLEGRO_MENU *menu)

DESCRIPTION

Associates the menu with the display and shows it. If there was a previous menu associated with the display, it will be destroyed. If you don't want that to happen, you should first remove the menu with al_remove_display_menu(3).

If the menu is already attached to a display, it will not be attached to the new display. If menu is NULL, the current menu will still be destroyed.

    Note: Attaching a menu may cause the window as available to your application to be resized! You should listen for a resize event, check how much space was lost, and resize the window accordingly if you want to maintain your window's prior size.

Returns true if successful.

SINCE

5.1.0

SEE ALSO

al_create_menu(3), al_remove_display_menu(3)